<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KArtsDispatcher</name>
    <filename>classKArtsDispatcher.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>KArtsDispatcher</name>
      <anchorfile>classKArtsDispatcher.html</anchorfile>
      <anchor>06011323c7e4b0da89f40aea92fc71dc</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KArtsDispatcher</name>
      <anchorfile>classKArtsDispatcher.html</anchorfile>
      <anchor>432c68268793b3663e7041b2eb723fac</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArtsFloatWatch</name>
    <filename>classKArtsFloatWatch.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>valueChanged</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>4744b1f7ab4ebcaa9d308a61f636ed6a</anchor>
      <arglist>(float newValue)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KArtsFloatWatch</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>f6dac0b28d9e670b79a5c1e21f6ddd6f</anchor>
      <arglist>(Arts::Object object, const char *stream, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KArtsFloatWatch</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>bcc34395073a9b2610904c9589dac7aa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>Arts::KFloatWatchProxy_impl</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>ddf1eeab7838e9ae84ea31125eeb570b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArtsServer</name>
    <filename>classKArtsServer.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>restartedServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>1bf7bf3955831819a84b91b4c4d506ab</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KArtsServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>ad8b139e3684fc75d6ed58a6bea9ae9f</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KArtsServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>81ea9c49e95defbbf01a2c1cc3a519af</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Arts::SoundServerV2</type>
      <name>server</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>63afac953e63a4b053b522c366902ec7</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioConverter</name>
    <filename>classKAudioConverter.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>rawStreamStart</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>d748d0bfb76dd64d15907be2e8eda460</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockSize</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>c2cd045dbf49451588c3825ef490ab14</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockPointer</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>4de00b165618c08a66e1bf70e83f9332</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newData</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>a95113bb42e0a996cde62b8aa19dedf1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>rawStreamFinished</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>efeae9f9cf6e60ac435db10b0c62b7c5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioConverter</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>879fa12f4206753a0491e54017019517</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioConverter</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>05197fc5051acbe6db108e5e6a886439</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setup</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>eb2f4fe61c02eeda5323e0063e25727b</anchor>
      <arglist>(int samplingRate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestPlayObject</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>3ce974c6e10e5fe549be735f9db737e0</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>501101d8465a4bbd93565d1c2f681936</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>b98b8fef4fd271f3936d18ac36beab29</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioManagerPlay</name>
    <filename>classKAudioManagerPlay.html</filename>
    <member kind="function">
      <type></type>
      <name>KAudioManagerPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>294fd68e11130a131753faae16f4a3ce</anchor>
      <arglist>(KArtsServer *server, const QString &amp;title=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioManagerPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>acfd280eda6989cda93beed9b6571f4a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::Synth_AMAN_PLAY</type>
      <name>amanPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>c92d7facba6b611f6dc72dafe7cb76a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>2c6f966c133cd616c6d718a12752143c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>8bf4a74b8229493b43e6d4dc402942f2</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>2d60c4358838506aecbfb1130fd0b1c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoRestoreID</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>7cce9f4a68fdb649aefc72020d55296d</anchor>
      <arglist>(const QString &amp;autoRestoreID)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>autoRestoreID</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>7bfca5bce08892d70cb353a73073a1d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>b740ffdd526606a6b77a48222896b857</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>7add7d642510ad89732e6f80560733cf</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioPlayStream</name>
    <filename>classKAudioPlayStream.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>f041978ec76025b58a1092d497c69f25</anchor>
      <arglist>(int samplingRate, int bits, int channels)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>a28f1cc9298809ca3a919ba8f0175e98</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>write</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>4dd21f802027ada0c6ec5b99a0f4a33c</anchor>
      <arglist>(QByteArray &amp;data)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>requestData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>0d14e42698ff315b05455ff638f91d89</anchor>
      <arglist>(QByteArray &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>running</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>577000e0ac8930995f373e1db8dd6bec</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>noData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>53af9c2f445cdab11487fb48927ebf20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioPlayStream</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>5f67525b3ad1aa173cdd6a890f009c66</anchor>
      <arglist>(KArtsServer *server, const QString title, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioPlayStream</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>661b8d0c55316fa51eadd2e9131d3078</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPolling</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>1a75b8185698cd262480a10160b429b8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>polling</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>d0964b0679252a0f48748fb641197370</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>running</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>b03f0e1b66f8f6480935f815a4014f0e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Arts::StereoEffectStack</type>
      <name>effectStack</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>72fa895910d94b501be7eedd9b612cba</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>6ff31a8cfb0eb9e78a79a9aa84815f31</anchor>
      <arglist>(Arts::DataPacket&lt; Arts::mcopbyte &gt; *packet)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioRecordStream</name>
    <filename>classKAudioRecordStream.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>2fb76c821fdb2ae82cc4ebbfeffaddba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>ffab1faf18b4b26763832d9c0da82c50</anchor>
      <arglist>(int samplingRate, int bits, int channels)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>flush</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>0d938797714b7eb8b7a0b6af3e7a0546</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>data</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>9deba45080cf817432c3a510a82c21a0</anchor>
      <arglist>(QByteArray &amp;data)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>running</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>3f5839346716de3f4ec155f00cb6b2b7</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioRecordStream</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>0395bfcdf3a3a4d45919112984fba810</anchor>
      <arglist>(KArtsServer *server, const QString &amp;title, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioRecordStream</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>69f306c15d2e230e9d506b8bbaf26634</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>read</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>a7d3ef5741a59a13bc8ef917c819597f</anchor>
      <arglist>(char *, int size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBlockingIO</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>10c8d4250443404492adb3cffdbe90ad</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>blockingIO</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>08accc1c962c8e6e89aa718deb89c473</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>usePolling</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>65b402b1d50fccc8f497a6ab7652ab06</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>polling</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>63bd05d25ab2da4f4f9bf6dc783d1136</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Arts::StereoEffectStack</type>
      <name>effectStack</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>ba0af8c95e4e3db57f51ad17df8fe451</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>running</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>8c12b31ef2cf8b9f696c88917dcf3b0e</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KConvertTest</name>
    <filename>classKConvertTest.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotRawStreamStart</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>d8b1fdc3f25680ae7be0b85bd23d0f81</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewBlockSize</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>f46f0f7432db5a8c567ca526389520c8</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewBlockPointer</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>548e5c94e928937f0bb0a13b86d4ce9e</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewData</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>41d2cebe2fe1c1ebb6182cb04c94e8ac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRawStreamFinished</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>2bfcb823983671e93b17f56f756a1423</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KConvertTest</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>9441818977349359cc7785f1c3064b08</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMCOP</name>
    <filename>classKMCOP.html</filename>
    <base>QObject</base>
    <member kind="dcop">
      <type>int</type>
      <name>objectCount</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>e15b9ab53f538d75eec572882f7a07dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>addInterfacesHackHackHack</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>436d986d6296f0543d4c2b205807fbd6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMCOP</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>91bec809e9bb8fdfe020dcdcb90c03cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMCOP</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>c022475e06970ae8b0ca378eb81c5a72</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotify</name>
    <filename>classKNotify.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>PlayingFinishedStatus</name>
      <anchor>3a12fe5cbfa9dd9c0a279b1318d6b391</anchor>
      <arglist></arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>d8f0c34baf895f8598fb6f9273de28ad</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>477461db5d2e71641f483a88ad56e1ff</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level, int winId)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>fd41a1752b7a6e24435a1e1ef748d396</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level, int winId, int eventId)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>reconfigure</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>33fc6146eeba46e4ccff6c68815638a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>setVolume</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>43e7d5c16720b2365732297e5bd65fd3</anchor>
      <arglist>(int volume)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>sessionReady</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>6bfc55352803364228c4bb761f9632da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNotify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>59df63e56250846bed25a64d86d39e97</anchor>
      <arglist>(bool useArts)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNotify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>f9cb1023efb80f59ca2115af8d475a03</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPlayObject</name>
    <filename>classKPlayObject.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>27047042c1358dc0240563c5af60d6c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>24d0281b4c836a230623748708512aa9</anchor>
      <arglist>(Arts::PlayObject playobject, bool isStream)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>18a9c78aebf7d3e42f8a61c011f8400f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>b70a1f7f6fa858af8437ff9b707e4552</anchor>
      <arglist>(Arts::PlayObject playObject)</arglist>
    </member>
    <member kind="function">
      <type>Arts::PlayObject</type>
      <name>object</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>dd0905a64b2c4bcdb600f49545c50cd8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>5aa08756ed53d4a61b9fc68b4d80f325</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stream</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>cc3c487660059fa58aca17211ebc3341</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>play</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>0ad755b8170c4dcc27916abd1d02b7de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>seek</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>b6dc72b805b7edbc8f834e650edceaf0</anchor>
      <arglist>(Arts::poTime newTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pause</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>2fc63d81a4a0eb3d027aef69e77c18ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>halt</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>f95def76126ad90cbfb3fcfab1a7f6df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>abeccdb1ccde537377075b8cd7d220a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>currentTime</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>498f0013f322092405374298f30f4351</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>overallTime</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>c6e4a879250e121122cd08c8fb4e4df1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poCapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>98e4575c29aa664ee196c31dd84d278c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mediaName</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>15994870b649c73c7ab63cb328d15408</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poState</type>
      <name>state</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a33417f2917e5e8b3f3e1eb4d3f70c1a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPlayObjectFactory</name>
    <filename>classKPlayObjectFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>721cbd879015e9c1de77be2ed1abc64a</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>6159cbc88cf33bf7f69a8fb032fe0a16</anchor>
      <arglist>(KArtsServer *server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>278ff38e01487ece4c5f481be1c0b60a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>2bc54d835c5a0a7b826c5c2de098250e</anchor>
      <arglist>(const KURL &amp;url, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>KPlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>1b466b479701df08e08b600a8880f99d</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimetype, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowStreaming</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>3f9cb7d29172ead480a742ef83b672c8</anchor>
      <arglist>(bool s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowStreaming</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>81d91b7f59e78f713ef8e51bd007a7b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAStream</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>a1050a5588c6aad0ea28f024574597c5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KVideoWidget</name>
    <filename>classKVideoWidget.html</filename>
    <base>QWidget</base>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="slot">
      <type>void</type>
      <name>setFullscreen</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>e134a1afc2679924fa2cf679a85bdd82</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setWindowed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>26aefb49465dd9203696233ecebc0f9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setHalfSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>fc42c3e1fbd60d6843fca23c052f080e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setNormalSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>44bf36d122db1e0f26ebf4e9ca4918bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDoubleSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>3f8be13d2ddf13b91b3fd12cf7efb7e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>resizeNotify</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>339632bfbf6aa4e8913f17ed7d39939e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>adaptSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>cafbd61a76fd197797071a16a201304d</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseButtonPressed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>39551b77fabbdaac0ba809bf060e5a69</anchor>
      <arglist>(int type, const QPoint &amp;, int state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseButtonDoubleClick</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>0aa57a7e224cf80e29f32d78d3382cff</anchor>
      <arglist>(const QPoint &amp;, int state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>rightButtonPressed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>dae690949d1aebf66a737aaed03fe1dd</anchor>
      <arglist>(const QPoint &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>acf3c21f06713929c7195153bc894e79</anchor>
      <arglist>(KXMLGUIClient *clientParent, QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a26d58e3cef577cec8d4cc670b0daa3c</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>4b84dcc256fc969f9ad5616a424e7277</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>embed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>05324e56800aa30b8198ba730c5ce59f</anchor>
      <arglist>(Arts::VideoPlayObject vpo)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmbedded</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>78cc09149df90a6bbabf6d148dd408fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFullscreen</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>322dd5e0f4ce4fcf8511ec824fec81fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHalfSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>b431f21715bfd37e4622af866903e32e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNormalSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>7d834bcf79f73fe3a6fca0e3d1bdc7eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDoubleSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>5f0b33041aec300ba197051c3c1eb77e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>7f1a58a9ee9091cc7bbc9b8acf3b333b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>heightForWidth</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>2bef21d5fb6b2fbce91d15b0639b5d9b</anchor>
      <arglist>(int w) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QImage</type>
      <name>snapshot</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>d127ba6438311669c64f336b10a8a48d</anchor>
      <arglist>(Arts::VideoPlayObject vpo)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>fullscreenActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>35e2d967757dfed0d9d7b2affc7bd3a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>halfSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>3076fa2be865b2bf417dea4a76c84d13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>normalSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>bd5c6ff9cdad54975e4a3e3c9de482d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>doubleSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>3de8323600c80e88e88658105753ad0e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>8ac77f003b842490af5315e3bb23a770</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseDoubleClickEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>4bb82a48e4df77c67d40356306af93e4</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>56e8c371e428a7349c486f6c5b6ada8f</anchor>
      <arglist>(QResizeEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>x11Event</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>772ff07cc1bf43488494e62c5abb731b</anchor>
      <arglist>(XEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPDCOPObject</name>
    <filename>classMCOPDCOPObject.html</filename>
    <member kind="function">
      <type></type>
      <name>MCOPDCOPObject</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>bdb9dc899f55b8e0ffb12da6b87f634f</anchor>
      <arglist>(QCString name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MCOPDCOPObject</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>1d44791ad82841510d2e815b4b2db2e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>processDynamic</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>adb6f118d4a77575e1e72b34a3e9c23f</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functionsDynamic</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>e9e2605fbd657be5e11d1e786b4e7dc6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addDynamicFunction</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>bbbabb157f3a85142925df4cc85cfefe</anchor>
      <arglist>(QCString value, MCOPEntryInfo *entry)</arglist>
    </member>
    <member kind="function">
      <type>Arts::Buffer *</type>
      <name>callFunction</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>5ea87a7a818784847badb4ece818cdc1</anchor>
      <arglist>(MCOPEntryInfo *entry, QCString ifaceName, const QByteArray &amp;data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPDCOPTools</name>
    <filename>classMCOPDCOPTools.html</filename>
    <member kind="function" static="yes">
      <type>static long</type>
      <name>getLong</name>
      <anchorfile>classMCOPDCOPTools.html</anchorfile>
      <anchor>b9d7a8bd4b82670f7c37e95dbc29ff74</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>getString</name>
      <anchorfile>classMCOPDCOPTools.html</anchorfile>
      <anchor>b485f99efdc699cecc29bb980c7818c6</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPEntryInfo</name>
    <filename>classMCOPEntryInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>MCOPEntryInfo</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>b3194db0b0fb11af18cc38fa5ece1e77</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MCOPEntryInfo</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>d3c874bd40e04f20ae593af68df3d573</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>functionType</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>1e689ec773b06fb79a2d93d1650c33fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>functionName</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>55fe9f2ff27e33e1db1cc07a89b6fba5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>signature</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>f5a45f4975c518ebe238869bf0e12b95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>signatureList</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a8fe58802b21eb65ec41f3eb4e499872</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFunctionType</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>6e112092307d33dd226401060c984a7d</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFunctionName</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>6484bf0031333466afad6822dfecd2ea</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignature</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a70ff55d625345167ff3ffcb58a2ea73</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureList</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>93b8f177d64c71b862ea5bab6755955e</anchor>
      <arglist>(QCStringList s)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Arts</name>
    <filename>namespaceArts.html</filename>
    <class kind="class">Arts::KDataRequest_impl</class>
    <class kind="class">Arts::KIOInputStream_impl</class>
    <member kind="function">
      <type></type>
      <name>REGISTER_IMPLEMENTATION</name>
      <anchorfile>namespaceArts.html</anchorfile>
      <anchor>7a85beef127da8472a3fa965af90be97</anchor>
      <arglist>(KIOTestSlow_impl)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest_impl</name>
    <filename>classArts_1_1KDataRequest__impl.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>newData</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>d731a293eff0e125bd68cf88f6ad3e7e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockSize</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>c382e7370b5a939e5b0e54d71452d2e5</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockPointer</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>ba385eceb37c2f42200f06872465ced1</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest_impl</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>2396f131d95460dd6c7135c6dd5dd78b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KDataRequest_impl</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>980610ba96f1844326bd7247059f40c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamInit</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>0f340c7e6d2a7ec4ba296a133c5fb921</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>ecfe859a5303a3de8253bf51ffac2caf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>calculateBlock</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>59837e4e5ca23123205d109c83279266</anchor>
      <arglist>(unsigned long samples)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>goOn</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>975072cebf7a4e60d7764e9fb28f3f8c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream_impl</name>
    <filename>classArts_1_1KIOInputStream__impl.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>mimeTypeFound</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>d698b5555cf4d84a2cc0249ac7628cce</anchor>
      <arglist>(const QString &amp;mimetype)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream_impl</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>01160c70e847df03d1867bc0959f468e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KIOInputStream_impl</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>1aa666b0cee08940da56ab32c7776e68</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamStart</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>b06c0d1baebb23b7cc77ad0446226e55</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>b1f99721e67f0c32b05dbff245b1e848</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eof</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>c652564b0647f92dadecc3dda1964d0a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>seekOk</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>e7bd7f49c2a066196f5a2509e70d9ab1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>size</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>2cbeb8c9456ad85c0e26ff0e05027c4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>seek</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>fdd0060250481793cf5e23a20b8e1801</anchor>
      <arglist>(long)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>355bc929f990e9897618741a7abd92ef</anchor>
      <arglist>(const std::string &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processQueue</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>1f2da9a2800e46cf41956322df407907</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>request_outdata</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>56f5c91d9c530db23b06c465b654d2c2</anchor>
      <arglist>(DataPacket&lt; mcopbyte &gt; *packet)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>92a9aa9baf2851641a7d6f4010716051</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>0e7aeda5e875dcd5eb7839dd0def0eeb</anchor>
      <arglist>(long i)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>packetSize</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>93923946c4fc2d79134a30b64f03c69c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObject</name>
    <filename>classKDE_1_1PlayObject.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>playObjectCreated</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>959cba86158b29b58a700f35fb0aabb2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObject</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>530a309bb04073dd8296c3a1a21cd43c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::PlayObject</type>
      <name>object</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>5d4359f8b70cadb5169afbcffdab682d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>3f0c3f21e884e7526d276942c226e30c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stream</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a591df42992435c5f8a0739582bb7650</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>play</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>75758f3435faee4b6876837e583f20b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>seek</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a868bc311037b0624ab52639bda5fd7a</anchor>
      <arglist>(Arts::poTime newTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pause</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>5736e78c75926de352969681d3d33fc2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>halt</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>0b7291e5a7f4146a4050959613470d47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>5441170faadbe1c6aa74b3e84fee615d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>currentTime</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>d45c539ab8011488681e09ea812c4a95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>overallTime</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>8d7118ecf1c13509872e2bc33fdd3ddf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poCapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>ff54329e65c9c5e8a19ab6732b1867fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mediaName</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>847de6d7c1b5dfccd838eaeacef5c00f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poState</type>
      <name>state</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>ab8c0bb73aacba1c85254754420d82b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>KDE::PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>82e83128d627ef256e2e0ba4ad3f120b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObjectCreator</name>
    <filename>classKDE_1_1PlayObjectCreator.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>playObjectCreated</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>48c9320b1210326d80b1746aabb1a370</anchor>
      <arglist>(Arts::PlayObject playObject)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PlayObjectCreator</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>8206848c2a756e5a1534ff2fc76a5ee2</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObjectCreator</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>d54ebd39c4d035a509dccbf3c004b68b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>create</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>3367d211dee5a1228cea98b3728dfb1d</anchor>
      <arglist>(const KURL &amp;url, bool createBUS, const QObject *receiver, const char *slot)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObjectFactory</name>
    <filename>classKDE_1_1PlayObjectFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>8f65571be89b959229a3da0481d07848</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>4eb006e7d687fda3221f4adead394240</anchor>
      <arglist>(KArtsServer *server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>9960fcd9de4ed9a7c369eeeba9cee2a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAudioManagerPlay</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>2f67af3945176f2f79f5064fc69093dd</anchor>
      <arglist>(KAudioManagerPlay *amanplay)</arglist>
    </member>
    <member kind="function">
      <type>KDE::PlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>0f6a19e68b13b1fabbbf7158dad750e3</anchor>
      <arglist>(const KURL &amp;url, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>KDE::PlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>9e7b9cd49970b30ebc1e706ff35f189d</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimetype, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowStreaming</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>b89339ab6aea0dcb110b8ffa8cea4dcb</anchor>
      <arglist>(bool s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowStreaming</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>ac5ec706107557cbbf010e735a3904c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>mimeTypes</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>0db43a9da0261b4ae11422aa31633528</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
</tagfile>
